## libsdl3-mixer 3~git20250214~bc9c365%2Bds

=== debian/changelog ===
libsdl3-mixer (3~git20250214~bc9c365+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/control, d/copyright: Update upstream project URLs
  * d/control: Require SDL 3.2.0 stable release

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Feb 2025 10:58:15 +0000

libsdl3-mixer (3~git20250203~ebdd9cc+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/watch*: Sync with SDL_image, SDL_ttf

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 13:59:38 +0000

libsdl3-mixer (3~git20250123~723ad21+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jan 2025 12:21:02 +0000

libsdl3-mixer (3~git20250112~1bf7a79+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.10 prerelease
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 17:25:50 +0000

libsdl3-mixer (3~git20250107~4870186+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.8 prerelease
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 16:27:16 +0000

libsdl3-mixer (3~git20241102~5e2a705+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.6 prerelease
  * d/rules, d/libsdl3-mixer0.symbols:
    Music playback via an arbitrary external command is no longer supported

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 18:38:47 +0000

libsdl3-mixer (3~git20240925~e32ba24+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.3 prerelease
  * d/control: Build-depend on a contemporary SDL3
  * d/p/Update-for-rename-of-SDL3-atomic-int-APIs.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 18:09:14 +0100

libsdl3-mixer (3~git20240915~809804e+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/p/Update-for-rename-of-SDL3-atomic-int-APIs.patch:
    Add proposed patch for compatibility with latest SDL3
  * d/tests: playwave now needs the SDL3_test library

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 21:15:26 +0100

libsdl3-mixer (3~git20240828~36b1c88+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Remove obsolete symbols
  * d/rules: Update build option names
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 21:29:31 +0100

libsdl3-mixer (3~git20240730~623ef30+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/libsdl3-mixer0.symbols: Update
  * Update list of man pages to install

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 17:20:20 +0100

libsdl3-mixer (3~git20240508~c2fe2a6+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL 3.1.2
    - Depend on a corresponding SDL3 prerelease
  * d/rules: Build man pages if and only if -doc package is built

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:52:34 +0100

libsdl3-mixer (3~git20240319~12fb85e+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Depend on a corresponding SDL3 prerelease
  * d/libsdl3-mixer0.symbols: Update for upstream ABI breaks

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 18:43:56 +0000

libsdl3-mixer (3~git20240121~3c8461d+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 12:35:01 +0000

libsdl3-mixer (3~git20240115~9eae94f+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/copyright: Exclude vendored minimp3, not used in Debian

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 18:07:37 +0000

libsdl3-mixer (3~git20240101~de0f62a+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 17:32:49 +0000

libsdl3-mixer (3~git20231205~1d30b08+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 20:11:58 +0000

libsdl3-mixer (3~git20230930~92f0574+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/rules: Use package version instead of trying to get version from git

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Oct 2023 14:53:10 +0100

libsdl3-mixer (3~git20230921~5ce3f92+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update
  * Drop the only patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Sep 2023 17:25:31 +0100

libsdl3-mixer (3~git20230913~d7e4f19+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Bump (build-)dependency on SDL3 for audio API changes
  * d/rules: Make dependency checks strict.
    When we enable a backend, we want the build to fail if it wasn't found.
  * d/.gitignore: Disable an overzealous rule in /.gitignore
  * d/p/build-Fix-detection-of-libvorbisfile.patch:
    Add proposed patch to fix detection of libvorbisfile

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 20:00:57 +0100

libsdl3-mixer (3~git20230904~dc93c43+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/.gitignore: Also ignore d/libsdl3-mixer-doc/
  * Depend on a corresponding version of SDL3 to follow API changes

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Sep 2023 22:17:38 +0100

libsdl3-mixer (3~git20230810~ec99350+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/.gitignore: Update for SDL3
  * d/watch: Use a +ds suffix for the orig tarball.
    To the best of my knowledge, everything we exclude is (meant to be)
    Free Software, we just don't want to keep track of files that are

