=== debian/control ===
Source: libsdl3-mixer
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               libflac-dev,
               libmpg123-dev,
               libogg-dev,
               libopusfile-dev,
               libsdl3-dev (>= 3.2.0),
               libvorbis-dev,
               pkgconf
Homepage: https://github.com/libsdl-org/SDL_mixer
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-mixer
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-mixer.git


Package: libsdl3-mixer0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mixer library for Simple DirectMedia Layer 3, libraries
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, in various formats including FLAC, Ogg Vorbis, Opus, MP3 and
 WAV.
 .
 This package contains the shared library.

Package: libsdl3-mixer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libflac-dev,
         libmpg123-dev,
         libogg-dev,
         libopusfile-dev,
         libsdl3-dev (>= 3.2.0),
         libsdl3-mixer0 (= ${binary:Version}),
         libvorbis-dev,
Description: Mixer library for Simple DirectMedia Layer 3, development files
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, in various formats including FLAC, Ogg Vorbis, Opus, MP3 and
 WAV.
 .
 This package contains the development files.

Package: libsdl3-mixer-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: Mixer library for Simple DirectMedia Layer 3 - documentation
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, in various formats including FLAC, Ogg Vorbis, Opus, MP3 and
 WAV.
 .
 This package contains the reference manual and examples.

Package: libsdl3-mixer-tests
Build-Profiles: <!noinsttest>
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libsdl3-mixer0 (= ${binary:Version}),
Description: Mixer library for Simple DirectMedia Layer 3 - tests
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, in various formats including FLAC, Ogg Vorbis, Opus, MP3 and
 WAV.
 .
 This package contains manual tests. Automated tests will be added to this
 package if they become available upstream.
