=== debian/changelog ===
libsdl3-mixer (3~git20250610~30c1301+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 11:38:37 +0100

libsdl3-mixer (3~git20250523~daf0503+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/mpg123-Use-portable-API-from-v1.32-if-available.patch:
    Drop patch, hopefully no longer needed (and it didn't work as I'd
    hoped anyway)

 -- Simon McVittie <smcv@debian.org>  Sat, 24 May 2025 13:54:03 +0100

libsdl3-mixer (3~git20250514~37b69a0+ds-2) experimental; urgency=medium

  * d/p/mpg123-Use-portable-API-from-v1.32-if-available.patch:
    Add proposed patch to fix the build on 32-bit non-i386, such as armhf

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 17:59:00 +0100

libsdl3-mixer (3~git20250514~37b69a0+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer-tests.install: Update for new snapshot.
    The manual tests are now installed to the same path we use, so we don't
    need to redirect them there from /usr/bin.

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 09:47:24 +0100

libsdl3-mixer (3~git20250404~68764f3+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - Please note that this snapshot includes incompatible ABI changes
  * d/copyright: Update
  * d/rules: Disable drmp3 instead of minimp3
  * d/rules: Stop disabling modplug support, no longer implemented
  * d/control: Add a note about the ABI not being stable (see #1095066)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Apr 2025 11:05:47 +0100

libsdl3-mixer (3~git20250302~78a2035+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 09:46:51 +0000
