=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -31,6 +31,9 @@
  channel of music, in various formats including FLAC, Ogg Vorbis, Opus, MP3 and
  WAV.
  .
+ This library does not yet have a stable ABI. Other packages in Debian
+ should not depend on it until its first upstream stable release (3.2.0).
+ .
  This package contains the shared library.
 
 Package: libsdl3-mixer-dev
@@ -51,6 +54,9 @@
  channel of music, in various formats including FLAC, Ogg Vorbis, Opus, MP3 and
  WAV.
  .
+ This library does not yet have a stable ABI. Other packages in Debian
+ should not depend on it until its first upstream stable release (3.2.0).
+ .
  This package contains the development files.
 
 Package: libsdl3-mixer-doc
@@ -65,6 +71,9 @@
  number of simultaneously playing channels of 16 bit stereo audio, plus a single
  channel of music, in various formats including FLAC, Ogg Vorbis, Opus, MP3 and
  WAV.
+ .
+ This library does not yet have a stable ABI. Other packages in Debian
+ should not depend on it until its first upstream stable release (3.2.0).
  .
  This package contains the reference manual and examples.
