=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 built_binaries := $(shell dh_listpackages)
 
 ifneq (,$(filter-out experimental UNRELEASED,$(DEB_DISTRIBUTION)))
-$(error This version of SDL_image is not yet suitable for testing/unstable)
+$(error This version of SDL_mixer is not yet suitable for testing/unstable)
 endif
 
 confflags :=
@@ -59,13 +59,12 @@
 # previously enabled format, so initially turn off soundtracker playback
 # for the SDL3 branch.
 confflags += -DSDLMIXER_MOD=OFF
-confflags += -DSDLMIXER_MOD_MODPLUG=OFF
 confflags += -DSDLMIXER_MOD_XMP=OFF
 confflags += -DSDLMIXER_MOD_XMP_LITE=OFF
 
 confflags += -DSDLMIXER_MP3=ON
+confflags += -DSDLMIXER_MP3_DRMP3=OFF
 confflags += -DSDLMIXER_MP3_MPG123=ON
-confflags += -DSDLMIXER_MP3_MINIMP3=OFF
 
 confflags += -DSDLMIXER_OPUS=ON
 confflags += -DSDLMIXER_SNDFILE=OFF
