## libsdl3-mixer 3.1~git20250829~b0503d2+ds

=== debian/changelog ===
libsdl3-mixer (3.1~git20250829~b0503d2+ds-1) experimental; urgency=medium

  * New upstream snapshot with major API/ABI changes
  * Update autopkgtest for new package
  * d/libsdl3-mixer0.symbols: Rewrite for new ABI
  * d/copyright: Update
  * d/control: Require a correspondly recent SDL3 snapshot
  * Update packaging for upstream changes to documentation/examples

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 09:43:59 +0100
