## libsdl3-mixer 3.1~git20250910~d032535+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 # See docs/release_checklist.md
 set(MAJOR_VERSION 3)
-set(MINOR_VERSION 0)
+set(MINOR_VERSION 1)
 set(MICRO_VERSION 0)
-set(SDL_REQUIRED_VERSION 3.0.0)
+set(SDL_REQUIRED_VERSION 3.3.0)
 
 project(SDL3_mixer
     LANGUAGES C
@@ -49,11 +49,6 @@
   endif()
 endif()
 
-set(SDLMIXER_SAMPLES_DEFAULT ${SDLMIXER_ROOTPROJECT})
-if(ANDROID)
-    set(SDLMIXER_SAMPLES_DEFAULT OFF)
-endif()
-
 # option() honors normal variables.
 cmake_policy(SET CMP0077 NEW)
 set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
@@ -120,90 +115,53 @@
   set(fatal_error "FATAL_ERROR")
 endif()
 
-option(SDLMIXER_SAMPLES "Build the SDL3_mixer sample program(s)" ${SDLMIXER_SAMPLES_DEFAULT})
-cmake_dependent_option(SDLMIXER_SAMPLES_INSTALL "Install the SDL3_mixer sample program(s)" OFF "SDLMIXER_SAMPLES;SDLMIXER_INSTALL" OFF)
-
-option(SDLMIXER_SNDFILE "Support loading sounds via libsndfile" OFF)
-option(SDLMIXER_SNDFILE_SHARED "Dynamically load libsndfile" "${SDLMIXER_DEPS_SHARED}")
-
-option(SDLMIXER_FLAC "Enable FLAC music" ON)
-
-cmake_dependent_option(SDLMIXER_FLAC_LIBFLAC "Enable FLAC music using libFLAC" OFF SDLMIXER_FLAC OFF)
+option(SDLMIXER_TESTS "Build unit tests?" OFF)
+option(SDLMIXER_TESTS_INSTALL "Install unit tests?" OFF)
+
+# These are implemented in SDL_mixer itself, not using a third-party library.
+option(SDLMIXER_AIFF "Enable AIFF audio" ON)
+option(SDLMIXER_WAVE "Enable WAVE audio" ON)
+option(SDLMIXER_VOC "Enable VOC audio" ON)
+option(SDLMIXER_AU "Enable AU audio" ON)
+
+# Decoders that use third-party dependencies, even if they are compiled in, vendored, etc.
+option(SDLMIXER_FLAC_LIBFLAC "Enable FLAC audio using libFLAC" ON)
 cmake_dependent_option(SDLMIXER_FLAC_LIBFLAC_SHARED "Dynamically load LIBFLAC" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_FLAC_LIBFLAC OFF)
 
-cmake_dependent_option(SDLMIXER_FLAC_DRFLAC "Enable FLAC music using drflac" ON SDLMIXER_FLAC OFF)
-
-option(SDLMIXER_GME "Support loading GME music via game-music-emu" ON)
+option(SDLMIXER_FLAC_DRFLAC "Enable FLAC audio using drflac" ON)
+
+option(SDLMIXER_GME "Support loading GME audio via game-music-emu" ON)
 option(SDLMIXER_GME_SHARED "Dynamically load libgme" "${SDLMIXER_DEPS_SHARED}")
 
-option(SDLMIXER_MOD "Support loading MOD music" ON)
-
-cmake_dependent_option(SDLMIXER_MOD_XMP "Support loading MOD music via libxmp" ON SDLMIXER_MOD OFF)
+option(SDLMIXER_MOD_XMP "Support loading MOD audio via libxmp" ON)
 cmake_dependent_option(SDLMIXER_MOD_XMP_LITE "Use libxmp-lite instead of libxmp" OFF "SDLMIXER_MOD_XMP;NOT SDLMIXER_VENDORED" OFF)
 cmake_dependent_option(SDLMIXER_MOD_XMP_SHARED "Dynamically load libxmp(-lite)" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_MOD_XMP OFF)
 
-if(SDLMIXER_MOD AND NOT SDLMIXER_MOD_XMP)
-    message(FATAL_ERROR "MOD support was enabled (SDLMIXER_MOD) but xmp (SDLMIXER_MOD_XMP) was disabled.")
-endif()
-
-option(SDLMIXER_MP3 "Enable MP3 music" ON)
-
-cmake_dependent_option(SDLMIXER_MP3_DRMP3 "Support loading MP3 music via dr_mp3" ON SDLMIXER_MP3 OFF)
-
-cmake_dependent_option(SDLMIXER_MP3_MPG123 "Support loading MP3 music via MPG123" OFF SDLMIXER_MP3 OFF)
+option(SDLMIXER_MP3_DRMP3 "Support loading MP3 audio via dr_mp3" ON)
+option(SDLMIXER_MP3_MPG123 "Support loading MP3 audio via libmpg123" ON)
 cmake_dependent_option(SDLMIXER_MP3_MPG123_SHARED "Dynamically load mpg123" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_MP3_MPG123 OFF)
 
-if(SDLMIXER_MP3 AND NOT (SDLMIXER_MP3_DRMP3 OR SDLMIXER_MP3_MPG123))
-    message(FATAL_ERROR "MP3 support was enabled (SDLMIXER_MP3) but neither drmp3 (SDLMIXER_MP3_DRMP3) or mpg123 (SDLMIXER_MP3_MPG123) were enabled.")
-endif()
-
-option(SDLMIXER_MIDI "Enable MIDI music" ON)
-
-cmake_dependent_option(SDLMIXER_MIDI_FLUIDSYNTH "Support FluidSynth MIDI output" ON "SDLMIXER_MIDI;NOT SDLMIXER_VENDORED" OFF)
+cmake_dependent_option(SDLMIXER_MIDI_FLUIDSYNTH "Support FluidSynth MIDI output" ON "NOT SDLMIXER_VENDORED" OFF)
 cmake_dependent_option(SDLMIXER_MIDI_FLUIDSYNTH_SHARED "Dynamically load libfluidsynth" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_MIDI_FLUIDSYNTH OFF)
 
-if(WIN32 OR APPLE OR HAIKU OR "${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
-    cmake_dependent_option(SDLMIXER_MIDI_NATIVE "Support native MIDI output" ON SDLMIXER_MIDI OFF)
-else()
-    set(SDLMIXER_MIDI_NATIVE OFF)
-endif()
-
-cmake_dependent_option(SDLMIXER_MIDI_TIMIDITY "Support timidity MIDI output" ON SDLMIXER_MIDI OFF)
-
-if(SDLMIXER_MIDI AND NOT (SDLMIXER_MIDI_TIMIDITY OR SDLMIXER_MIDI_NATIVE OR SDLMIXER_MIDI_FLUIDSYNTH))
-    message(FATAL_ERROR "MIDI support was enabled (SDLMIXER_MIDI) but neither FluidSynth (SDLMIXER_MIDI_FLUIDSYNTH), native (SDLMIXER_MIDI_NATIVE) or timidity (SDLMIXER_MIDI_TIMIDITY) was enabled")
-endif()
-
-option(SDLMIXER_OPUS "Enable Opus music" ON)
+option(SDLMIXER_MIDI_TIMIDITY "Support timidity MIDI output" ON)
+
+option(SDLMIXER_OPUS "Enable Opus audio via libopus" ON)
 cmake_dependent_option(SDLMIXER_OPUS_SHARED "Dynamically load libopus" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_OPUS OFF)
 
-set(sdl3mixer_vorbis_strings STB TREMOR VORBISFILE)
-set(SDLMIXER_VORBIS "STB" CACHE STRING "Enable OGG Vorbis music")
-set_property(CACHE SDLMIXER_VORBIS PROPERTY STRINGS "${sdl3mixer_vorbis_strings}")
-if(SDLMIXER_VORBIS)
-    if(NOT SDLMIXER_VORBIS IN_LIST sdl3mixer_vorbis_strings)
-        message(FATAL_ERROR "SDLMIXER_VORBIS contains an invalid value (=${SDLMIXER_VORBIS}). It must be one of ${sdl3mixer_vorbis_strings}.")
-    endif()
-endif()
-set(SDLMIXER_VORBIS_STB OFF)
-set(SDLMIXER_VORBIS_TREMOR OFF)
-set(SDLMIXER_VORBIS_VORBISFILE OFF)
-if(SDLMIXER_VORBIS STREQUAL "STB")
-    set(SDLMIXER_VORBIS_STB ON)
-endif()
-if(SDLMIXER_VORBIS STREQUAL "TREMOR")
-    set(SDLMIXER_VORBIS_TREMOR ON)
-endif()
-if(SDLMIXER_VORBIS STREQUAL "VORBISFILE")
-    set(SDLMIXER_VORBIS_VORBISFILE ON)
-endif()
-cmake_dependent_option(SDLMIXER_VORBIS_TREMOR_SHARED "Dynamically load tremor library" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_VORBIS_TREMOR OFF)
+option(SDLMIXER_VORBIS_STB "Enable Ogg Vorbis audio via stb_vorbis" ON)
+option(SDLMIXER_VORBIS_VORBISFILE "Enable Ogg Vorbis audio via libvorbisfile" ON)
+option(SDLMIXER_VORBIS_TREMOR "Enable Ogg Vorbis audio via libvorbisidec ('tremor')" OFF)
+
+if (SDLMIXER_VORBIS_VORBISFILE AND SDLMIXER_VORBIS_TREMOR)
+    message(FATAL_ERROR "Both SDLMIXER_VORBIS_VORBISFILE and SDLMIXER_VORBIS_TREMOR are both enabled, but only one can be used")
+endif()
+
 cmake_dependent_option(SDLMIXER_VORBIS_VORBISFILE_SHARED "Dynamically load vorbisfile library" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_VORBIS_VORBISFILE OFF)
-
-option(SDLMIXER_WAVE "Enable streaming WAVE music" ON)
-
-option(SDLMIXER_WAVPACK "Enable WavPack music" ON)
-cmake_dependent_option(SDLMIXER_WAVPACK_DSD "Enable WavPack DSD music support" OFF SDLMIXER_WAVPACK OFF)
+cmake_dependent_option(SDLMIXER_VORBIS_TREMOR_SHARED "Dynamically load vorbisidec ('tremor') library" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_VORBIS_TREMOR OFF)
+
+option(SDLMIXER_WAVPACK "Enable WavPack audio" ON)
+cmake_dependent_option(SDLMIXER_WAVPACK_DSD "Enable WavPack DSD audio support" OFF SDLMIXER_WAVPACK OFF)
 cmake_dependent_option(SDLMIXER_WAVPACK_SHARED "Dynamically load WavPack library" "${SDLMIXER_DEPS_SHARED}" SDLMIXER_WAVPACK OFF)
 
 if(SDLMIXER_VORBIS_TREMOR OR SDLMIXER_VORBIS_VORBISFILE OR SDLMIXER_FLAC_LIBFLAC OR SDLMIXER_OPUS)
@@ -246,34 +204,36 @@
 
 set(BUILD_SHARED_LIBS ${SDLMIXER_BUILD_SHARED_LIBS})
 add_library(${sdl3_mixer_target_name}
-    src/codecs/load_aiff.c
-    src/codecs/load_voc.c
-    src/codecs/load_sndfile.c
-    src/codecs/mp3utils.c
-    src/codecs/music_drflac.c
-    src/codecs/music_drmp3.c
-    src/codecs/music_flac.c
-    src/codecs/music_fluidsynth.c
-    src/codecs/music_gme.c
-    src/codecs/music_mpg123.c
-    src/codecs/music_nativemidi.c
-    src/codecs/music_ogg.c
-    src/codecs/music_ogg_stb.c
-    src/codecs/music_opus.c
-    src/codecs/music_timidity.c
-    src/codecs/music_wav.c
-    src/codecs/music_wavpack.c
-    src/codecs/music_xmp.c
-    src/effect_position.c
-    src/effect_stereoreverse.c
-    src/effects_internal.c
-    src/mixer.c
-    src/music.c
-    src/utils.c
+    src/SDL_mixer.c
+    src/SDL_mixer_metadata_tags.c
+    src/SDL_mixer_spatialization.c
+    src/decoder_aiff.c
+    src/decoder_au.c
+    src/decoder_drflac.c
+    src/decoder_drmp3.c
+    src/decoder_flac.c
+    src/decoder_fluidsynth.c
+    src/decoder_gme.c
+    src/decoder_mpg123.c
+    src/decoder_opus.c
+    src/decoder_raw.c
+    src/decoder_sinewave.c
+    src/decoder_stb_vorbis.c
+    src/decoder_timidity.c
+    src/decoder_voc.c
+    src/decoder_vorbis.c
+    src/decoder_wav.c
+    src/decoder_wavpack.c
+    src/decoder_xmp.c
 )
 add_library(SDL3_mixer::${sdl3_mixer_target_name} ALIAS ${sdl3_mixer_target_name})
 if(NOT TARGET SDL3_mixer::SDL3_mixer)
     add_library(SDL3_mixer::SDL3_mixer ALIAS ${sdl3_mixer_target_name})
+endif()
+if("c_std_99" IN_LIST CMAKE_C_COMPILE_FEATURES)
+    target_compile_features(${sdl3_mixer_target_name} PRIVATE c_std_99)
+else()
+    message(WARNING "target_compile_features does not know c_std_99 for C compiler")
 endif()
 target_include_directories(${sdl3_mixer_target_name}
     PUBLIC
@@ -293,3 +253,52 @@
 if(SDLMIXER_BUILD_SHARED_LIBS)
     target_link_libraries(${sdl3_mixer_target_name} PRIVATE SDL3::SDL3-shared)
 endif()
+sdl_add_warning_options(${sdl3_mixer_target_name} WARNING_AS_ERROR ${SDLMIXER_WERROR})
+if(WIN32 AND BUILD_SHARED_LIBS)
+    target_sources(${sdl3_mixer_target_name} PRIVATE
+        src/version.rc
+    )
+    if(MINGW)
+        target_link_options(${sdl3_mixer_target_name} PRIVATE -static-libgcc)
+    endif()
+endif()
+set_target_properties(${sdl3_mixer_target_name} PROPERTIES
+    OUTPUT_NAME "SDL3_mixer"
+    DEFINE_SYMBOL DLL_EXPORT
+    EXPORT_NAME ${sdl3_mixer_target_name}
+    C_VISIBILITY_PRESET "hidden"
+)
+
+sdl_target_link_option_version_file(${sdl3_mixer_target_name} "${CMAKE_CURRENT_SOURCE_DIR}/src/SDL_mixer.sym")
+
+if(NOT ANDROID)
+    set_target_properties(${sdl3_mixer_target_name} PROPERTIES
+        SOVERSION "${SO_VERSION_MAJOR}"
+        VERSION "${SO_VERSION}"
+    )
+    if(APPLE)
+        cmake_minimum_required(VERSION 3.17...3.28)
+        set_target_properties(${sdl3_mixer_target_name} PROPERTIES
+            MACHO_COMPATIBILITY_VERSION "${DYLIB_COMPAT_VERSION}"
+            MACHO_CURRENT_VERSION "${DYLIB_CURRENT_VERSION}"
+        )
+    endif()
+endif()
+if(SDLMIXER_BUILD_SHARED_LIBS)
+    if(WIN32)
+        set_target_properties(${sdl3_mixer_target_name} PROPERTIES
+            PREFIX ""
+            DLL_NAME_WITH_SOVERSION FALSE
+        )
+    endif()
+else()
+    if(MSVC)
+        set_target_properties(${sdl3_mixer_target_name} PROPERTIES
+            OUTPUT_NAME "SDL3_mixer-static"
+        )
+    endif()
+endif()
+
+# Use `Compatible Interface Properties` to ensure a shared SDL3_mixer is linked to a shared SDL3 library
+if(SDLMIXER_BUILD_SHARED_LIBS)
+    set_property(TARGET ${sdl3_mixer_target_name} PROPERTY INTERFACE_SDL3_SHARED ${SDLMIXER_BUILD_SHARED_LIBS})
