=== debian/changelog ===
libsdl3-mixer (3.1~git20250910~d032535+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Sep 2025 09:51:44 +0100
