=== debian/watch ===
version=4

opts="\
    mode=git, \
    compression=gzip, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)(?:\+(?:dfsg|ds)[0-9]*)//, \
    pretty=3.1~git%cd~%h+ds" \
https://github.com/libsdl-org/SDL_mixer \
HEAD
